Summary:       Software version control visualization
Name:          gource
Version:       0.55
Release:       %mkrel 5
License:       GPLv3+
Group:         Video/Utilities
URL:           https://gource.io/
Source:        https://github.com/acaudwell/Gource/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(SDL2_image)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(glew)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(tinyxml)
BuildRequires: pkgconfig(libpcre2-8)
BuildRequires: glm-devel
BuildRequires: boost-devel

Requires:      gnu-free-sans-fonts

%description
OpenGL-based 3D visualization tool for source control repositories.
The repository is displayed as a tree where the root of the repository is
the centre, directories are branches and files are leaves. Contributors
to the source code appear and disappear as they contribute to specific
files and directories.

%prep
%autosetup -p1

# Make sure to build against system tinyxml
rm -rf src/tinyxml

%build
%configure \
           --enable-ttf-font-dir=%{_datadir}/fonts/gnu-free/ \
           --with-tinyxml
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/%{name}/fonts

%files
%doc THANKS ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.55-5.mga10
+ Revision: 2235800
- Mageia 10 Mass Rebuild

* Sun Feb 09 2025 wally <wally> 0.55-4.mga10
+ Revision: 2146223
- rebuild for boost 1.87.0

* Fri Sep 13 2024 wally <wally> 0.55-3.mga10
+ Revision: 2095469
- rebuild for boost 1.86.0

* Wed Jun 19 2024 wally <wally> 0.55-2.mga10
+ Revision: 2075340
- rebuild for boost 1.85.0

* Mon Jun 17 2024 daviddavid <daviddavid> 0.55-1.mga10
+ Revision: 2074651
- new version: 0.55

* Fri Jan 12 2024 wally <wally> 0.54-4.mga10
+ Revision: 2030537
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 0.54-3.mga10
+ Revision: 1991443
- rebuild for boost 1.83.0

* Sun Apr 16 2023 daviddavid <daviddavid> 0.54-2.mga9
+ Revision: 1953244
- remove no more needed old pcre-devel build dependency

* Fri Jan 27 2023 daviddavid <daviddavid> 0.54-1.mga9
+ Revision: 1936406
- new version: 0.54

* Sat Dec 24 2022 wally <wally> 0.53-2.mga9
+ Revision: 1926475
- rebuild for boost 1.81.0

* Sat Sep 10 2022 neoclust <neoclust> 0.53-1.mga9
+ Revision: 1886586
- New version 0.53

* Sun Jul 03 2022 wally <wally> 0.51-12.mga9
+ Revision: 1867254
- rebuild for boost 1.79.0

* Mon Apr 04 2022 umeabot <umeabot> 0.51-11.mga9
+ Revision: 1843961
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 0.51-10.mga9
+ Revision: 1762691
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 0.51-9.mga9
+ Revision: 1744641
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 0.51-8.mga9
+ Revision: 1722965
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 0.51-7.mga8
+ Revision: 1666763
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 0.51-6.mga8
+ Revision: 1662005
- rebuild for boost 1.74.0

* Wed Dec 02 2020 luigiwalser <luigiwalser> 0.51-5.mga8
+ Revision: 1651352
- rebuild for glew

* Sun May 03 2020 wally <wally> 0.51-4.mga8
+ Revision: 1578058
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 0.51-3.mga8
+ Revision: 1544752
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 0.51-2.mga8
+ Revision: 1483373
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x

* Thu Nov 21 2019 daviddavid <daviddavid> 0.51-1.mga8
+ Revision: 1461930
- new version: 0.51

* Thu Nov 14 2019 daviddavid <daviddavid> 0.50-1.mga8
+ Revision: 1459987
- new version: 0.50

* Tue Oct 16 2018 wally <wally> 0.49-3.mga7
+ Revision: 1321039
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 0.49-2.mga7
+ Revision: 1298036
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 daviddavid <daviddavid> 0.49-1.mga7
+ Revision: 1242514
- new version: 0.49

* Wed Apr 18 2018 daviddavid <daviddavid> 0.48-1.mga7
+ Revision: 1220001
- new version: 0.48

* Mon Dec 25 2017 wally <wally> 0.44-6.mga7
+ Revision: 1184670
- rebuild for new boost

* Sun Dec 03 2017 daviddavid <daviddavid> 0.44-5.mga7
+ Revision: 1180795
- rebuild for new glew 2.1.0

* Tue Nov 21 2017 tv <tv> 0.44-4.mga7
+ Revision: 1178111
- rebuild for boost 1.65

* Sat Sep 23 2017 daviddavid <daviddavid> 0.44-3.mga7
+ Revision: 1158134
- rebuild for new boost 1.64.0

* Tue Aug 08 2017 daviddavid <daviddavid> 0.44-2.mga7
+ Revision: 1138982
- rebuild for new glew 2.0.0
+ tv <tv>
- fix URL

* Tue Apr 25 2017 akien <akien> 0.44-1.mga6
+ Revision: 1097402
- Version 0.44

* Sun Dec 27 2015 daviddavid <daviddavid> 0.43-6.mga6
+ Revision: 915697
- fix build: s/configure/configure2_5x/
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 0.43-5.mga6
+ Revision: 883712
- rebuild for new boost 1.59.0

* Mon Aug 24 2015 sander85 <sander85> 0.43-4.mga6
+ Revision: 869109
- Rebuild for glew 1.13.0

* Sun Aug 02 2015 daviddavid <daviddavid> 0.43-3.mga6
+ Revision: 860546
- rebuild for new boost-1.58.0

* Wed Jun 24 2015 akien <akien> 0.43-2.mga6
+ Revision: 842010
- Rebuild for GLEW 1.12

* Fri Nov 21 2014 akien <akien> 0.43-1.mga5
+ Revision: 798049
- Version 0.43

* Wed Oct 15 2014 umeabot <umeabot> 0.42-5.mga5
+ Revision: 749632
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.42-4.mga5
+ Revision: 679898
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.42-3.mga5
+ Revision: 670267
- rebuild for glew

* Tue Aug 19 2014 akien <akien> 0.42-2.mga5
+ Revision: 665693
- Build against system tinyxml

* Tue Aug 19 2014 akien <akien> 0.42-1.mga5
+ Revision: 665680
- Version 0.42, now using SDL2_image

* Sat Feb 08 2014 barjac <barjac> 0.40-2.mga5
+ Revision: 586609
- rebuild against boost-1.55

* Fri Nov 22 2013 colin <colin> 0.40-1.mga4
+ Revision: 552324
- Use pkgconfig build requires where it's used in configure.ac
- No need to tweak Makefile.in
- Import Fedora package and adapt to Mageia


* Mon Nov 18 2013 Dave Airlie <airlied@redhat.com> - 0.40-2
- rebuilt for GLEW 1.10

* Fri Oct 18 2013 Jon Ciesla <limburgher@gmail.com> - 0.40-1
- Latest upstream, BZ 1020688.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 0.38-5
- Rebuild for boost 1.54.0

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.38-4
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.38-3
- Rebuild for Boost-1.53.0

* Thu Dec 13 2012 Adam Jackson <ajax@redhat.com> - 0.38-2
- Rebuild for glew 1.9.0

* Mon Sep  3 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.38-1
- New upstream 0.38

* Sun Jul 29 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.37-6
- Rebuild for broken dep on libGLEW.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.37-4
- Rebuild against PCRE 8.30

* Tue Jan 17 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.37-3
- Fix build failure with gcc-4.7

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 18 2011 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.37-1
- New upstream 0.37
- Clean up spec to match current guidelines

* Sat Jul 30 2011 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.35-1
- New upstream 0.35

* Mon Jun 20 2011 ajax@redhat.com - 0.29-2
- Rebuild for new glew soname

* Fri Feb 11 2011 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.29-1
- New upstream 0.29

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 28 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.28-1
- New upstream 0.28

* Fri Aug 06 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.27-2
- Fixed missing dist in the Release value
- Fixed dates in the changelog

* Thu Aug 05 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.27-1
- Rebase to upstream version 0.27

* Sat Jul 10 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.27-0.1.beta.20100710
- Rebase to new upstream version
- Added new BuildRequires libGLEW

* Fri Apr 16 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.24-3
- BZ #582781 Randomize name for files created in /tmp

* Sun Feb 28 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.24-2
- BZ #567559: Flip images in software for PPM output since hardware flipping
  fails on some video cards

* Thu Feb 18 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.24-1
- New upstream release
- Added COPYING, README, THANKS and ChangeLog in docs

* Sun Jan 17 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.23-2
- Modified Makefile.in in %%prep section to preserve timestamps
- Require gnu-free-sans-fonts and use the --enable-ttf-font-dir configure option
- Updated %%files section in spec file based on suggestions in review request

* Tue Dec 29 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.23-1
- Rebase to new upstream release version 0.23
- Spec file updates: use parallel make and %%global instead of %%define

* Sat Dec 05 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.18-3
- Fixed unowned directory in .spec files section
- Dropped package version patch since it's not really breaking anything
- Replace RPM_BUILD_ROOT with buildroot to maintain consistency
- Removed unnecessary Requires from spec
- Removed unnecessary --prefix in configure section
- Preserve timestamps during install
- Added freetype-devel as a build dependency
- Fixed BuildRoot
- Clean buildroot in the install section

* Wed Dec 02 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.18-2
- Fixed spec and rpm warnings from rpmlint

* Wed Dec 02 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.18-1
- New package
- Fixed version number in configure.ac to reflect the released version

